//	Zinc Application Framework - Z_STDIO.HPP
//	COPYRIGHT (C) 1990-1999.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#if !defined(Z_STDIO_HPP)
#define Z_STDIO_HPP
#include <z_env.hpp>

#if defined(ZAF_ISO8859_1)
#	if defined(_SUNOS4)
#	include <z_stdlib.hpp>
#	endif
#	include <stdio.h>

	ZAF_EXPORT FILE *ZafFOpen(const ZafIChar *path, const ZafIChar *mode);
	ZAF_EXPORT int ZafSPrintf(ZafIChar *buffer, const ZafIChar *format, ...);
#	if defined(_SUNOS4) && defined(__GNUC__)
	extern "C"
	{
#	endif
	ZAF_EXPORT int ZafSScanf(const ZafIChar *buffer, const ZafIChar *format, ...);
#	if defined(_SUNOS4) && defined(__GNUC__)
	}
#	endif
	ZAF_EXPORT ZafIChar *ZafTmpNam(ZafIChar *path);
#	define OSfopen		fopen
#	define OSsprintf	sprintf
#	define OSsscanf		sscanf
#if defined(ZAF_PSOS)
#	define OStmpnam		tmpname
#else
#	define OStmpnam		tmpnam
#endif
#	define fopen		ZafFOpen
//#	define sprintf		ZafSPrintf
//#	define sscanf		ZafSScanf
#	define tmpnam		ZafTmpNam
#if defined(ZAF_PSOS)
#	define tmpname		ZafTmpNam
#endif
#elif defined(ZAF_UNICODE)
#	include <stdio.h>

	extern "C++" ZAF_EXPORT FILE *fopen(const ZafIChar *path, const ZafIChar *mode);
	extern "C++" ZAF_EXPORT int sprintf(ZafIChar *buffer, const ZafIChar *format, ...);
	extern "C++" ZAF_EXPORT int sscanf(const ZafIChar *buffer, const ZafIChar *format, ...);
	extern "C++" ZAF_EXPORT ZafIChar *tmpnam(ZafIChar *path);
#else
#	include <stdio.h>
#endif

#endif
